El actualizador de Skype tiene una vulnerabilidad muy difícil de resolver

El actualizador de Skype tiene una vulnerabilidad muy difícil de resolver

El investigador en seguridad Stefan Kanthak ha descubierto que el actualizador de Skype puede ser explotado mediante una técnica de secuestro de DLL, permitiendo a un atacante engañar a la aplicación para que ejecute código malicioso en lugar de la biblioteca correcta.

Para llevar a cabo el ataque, el hacker tiene que hacer que un fichero DLL malicioso esté colocado en una carpeta temporal accesible por el usuario y renombrarlo para que suplante a otro existente que puede ser modificado por un usuario sin privilegios, como por ejemplo UXTheme.dll. El fallo funciona cuando la aplicación busca los DLL que necesita, pudiendo hacer uso del malicioso que está haciéndose pasar por legítimo tras el renombramiento.

Una vez explotada la vulnerabilidad, permite realizar una escalada de privilegios para que un usuario común pueda tener permisos a nivel de administrador (concretamente, la cuenta SYSTEM de Windows), pudiendo así modificar cualquier parte del sistema. Esto, obviamente, abre la puerta a la realización de una gran cantidad de acciones (e incluso se puede decir cualquiera imaginable) por parte del atacante.

Una vez instalado, Skype utiliza en Windows su propio actualizador para mantenerse al día, haciendo uso en el proceso de otro fichero ejecutable que es el afectado por la vulnerabilidad. Aunque el ataque aparentemente solo puede llevarse a cabo en Windows, y además de distintas maneras, Stefan Kanthak recuerda que los secuestros de DLL también pueden hacerse contra Mac y Linux.

El investigador reportó la vulnerabilidad a Microsoft (propietario de Skype) el pasado mes de septiembre de 2017, sin embargo, el problema ha terminado siendo realmente complejo, hasta el extremo de requerir una profunda revisión del código, por lo que en estos momentos sigue sin estar corregido. La compañía se ha comprometido a suministrar una actualización de seguridad para “una nueva versión del producto.”

Fuente: ZDNet


Via: www.muyseguridad.net
El actualizador de Skype tiene una vulnerabilidad muy difícil de resolver El actualizador de Skype tiene una vulnerabilidad muy difícil de resolver Reviewed by Lydecker Black on 12:20 Rating: 5